Bug 62770 - Internal Compiler Error in Kdevelop
Summary: Internal Compiler Error in Kdevelop
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdevelop (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-05 12:48 UTC by Varadaraj
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-16 22:48:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Varadaraj 2002-04-05 12:48:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
When compiling a c++ file on kdevelop, the compiler generated an unexpected 
internal error:
 
universal-character-name `\u
Internal compiler error: Error reporting routines re-entered.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. The error occurs for a certain combination of the code.
2.
3.
	

Actual Results:  The file was not compiling.

Expected Results:  The file should have compiled

Additional info:

The following is a cut-and-paste of the message window:

----------->>
g++ -DHAVE_CONFIG_H -I. -I. -I..     -O0 -g3   -D_REENTRANT -DTHREAD -
DPTHREADS -I. -I/opt/inprise/vbroker/include -
I/opt/inprise/vbroker/include/stubs -I/home/psen/pri/PRIStack -
I/home/psen/pri/thread/fsm_26 -D_GNU_SOURCE  -c server.cpp
server.cpp: In function `int main (int, char *const *)':
server.cpp:205: universal-character-name `\u
Internal compiler error: Error reporting routines re-entered.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
gmake: *** [server.o] Error 1

Comment 1 Ngo Than 2002-06-09 15:20:53 UTC
It's fixed in kdevelop in 7.2/7.3.


Note You need to log in before you can comment on or make changes to this bug.